Package: org.codehaus.groovy.transform.sc

## [Java] Enum StaticCompilationMetadataKeys

- org.codehaus.groovy.transform.sc.StaticCompilationMetadataKeys

- Static compilation AST node metadata keys.

  Authors:
    Cedric Champeau

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `BINARY_EXP_TARGET` |
    `COMPONENT_TYPE` |
    `DYNAMIC_OUTER_NODE_CALLBACK` |
    `PRIVATE_BRIDGE_METHODS` |
    `PRIVATE_FIELDS_ACCESSORS` |
    `PRIVATE_FIELDS_MUTATORS` |
    `PROPERTY_OWNER` |
    `RECEIVER_OF_DYNAMIC_PROPERTY` |
    `STATIC_COMPILE_NODE` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, describeConstable, getDeclaringClass, ordinal, getClass, notify, notifyAll, wait, wait, wait`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### StaticCompilationMetadataKeys BINARY_EXP_TARGET

    - #### StaticCompilationMetadataKeys COMPONENT_TYPE

    - #### StaticCompilationMetadataKeys DYNAMIC_OUTER_NODE_CALLBACK

    - #### StaticCompilationMetadataKeys PRIVATE_BRIDGE_METHODS

    - #### StaticCompilationMetadataKeys PRIVATE_FIELDS_ACCESSORS

    - #### StaticCompilationMetadataKeys PRIVATE_FIELDS_MUTATORS

    - #### StaticCompilationMetadataKeys PROPERTY_OWNER

    - #### StaticCompilationMetadataKeys RECEIVER_OF_DYNAMIC_PROPERTY

    - #### StaticCompilationMetadataKeys STATIC_COMPILE_NODE